YunoHost 11.2 release / Sortie de YunoHost 11.2

NB : c’était deja theoriquement possible en backupant YunoHost (ou au moins le morceau “conf systeme”) et en restaurant juste le morceau dyndns (ou tout) mais forcément il faut le savoir et y penser

Pas vraiment, il est hashé côté client, envoyé au serveur, puis re-hashé derrière, on a aucun moyen de le récupérer pour vous

Le fait d’être autorisé à définir un mot de passe de recovery se base sur la “clé” qui permet d’authentifier qu’on est le “proprio” du domaine, donc a priori pas possible sans être sur la machine initiale qui a enregistré le domaine

Oui il suffit d’appeler plusieurs fois la commande (ou de l’appeler pour la toute première fois)

1 Like

Thank you very much! Keep on going!

Bravo pour cette mise à jour !

Par contre depuis hier soir je reçois toutes les 10 minutes ce mail.
En objet : Cron root@temp : YunoHost DynDNS update; sleep $((RANDOM%60)); ! ping -q -W5 -c1 ip.yunohost.org >/dev/null 2>&1 || test -e /var/run/moulinette_yunohost.lock || yunohost dyndns update >> /dev/null

En contenu : Aucun domaine n’a été enregistré avec DynDNS

1 Like

Mon serveur YunoHost 11
Matériel: VM sur FreeBox Delta
Système d’exploitation: Linux 5.10.0-23-arm64 aarch64
Version de YunoHost: 11.1.21.4 sur Debian 11.7
Nextcloud version : 26.0.2~ynh2
J’ai accès à mon serveur :** En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modifications particulières sur votre instance ?** : non

https://paste.yunohost.org/raw/loxukugemi

J’ai tenté l’UPGRADE mais c’est un échec que ce soit par la webadmin qu’en ssh

admin@yunohost:~$ sudo yunohost tools update
[sudo] password for admin:
Info: Fetching available upgrades for system packages…
Info: Updating application catalog…
Success! The application catalog has been updated!
apps:
current_version: 26.0.2~ynh2
description: Online storage, file sharing platform and various other applications
domain_path: mondomaine/nextcloud
id: nextcloud
logo: 7619f283fa6ce9e0c6ae30cef5bb7cb47b926e9abccda4009a70e54579aa915a
name: Nextcloud
new_version: 26.0.3~ynh1
notifications:
upgradable: yes
version: 26.0.2~ynh2
important_yunohost_upgrade: True
pending_migrations:
system:
0:
current_version: 11.1.5
name: moulinette
new_version: 11.2
1:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-bcmath
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
2:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-bz2
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
3:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-cli
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
4:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-common
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
5:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-curl
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
6:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-fpm
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
7:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-gd
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
8:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-gmp
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
9:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-imap
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
10:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-intl
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
11:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-ldap
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
12:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-mbstring
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
13:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-mysql
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
14:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-opcache
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
15:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-readline
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
16:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-xml
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
17:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1-zip
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
18:
current_version: 8.1.20-1+0~20230609.43+debian11~1.gbpb5cd38
name: php8.1
new_version: 8.1.21-1+0~20230716.45+debian11~1.gbpbeb527
19:
current_version: 11.1.4
name: ssowat
new_version: 11.2
20:
current_version: 11.1.10
name: yunohost-admin
new_version: 11.2.1
21:
current_version: 11.1.22
name: yunohost
new_version: 11.2.2
admin@yunohost:~$ sudo yunohost tools upgrade system
Info: Upgrading packages…
Info: Upgrading system packages
Info: + Reading package lists…
Info: + Building dependency tree…
Info: + Reading state information…
Info: + Calculating upgrade…
Info: + 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Warning: W: Invalid regular expression ‘^linux-image-[a-z0-9]$’ in configuration option ‘APT::NeverAutoRemove’ will be ignored.
Warning: W: Invalid regular expression '^linux-image-[a-z0-9]
-[a-z0-9]*$’ in configuration option ‘APT::NeverAutoRemove’ will be ignored.
Success! System upgraded
admin@yunohost:~$

D’où vient ce problème ?

Merci beaucoup pour votre travail et de nous permettre de nous affranchir.
Merci merci merci

2 Likes

If it’s helpful, it is because a cron job. I’ve solved it using this answer:

https://forum.yunohost.org/t/solved-series-of-errors-and-mail-notifications/21986/3?u=bernacee

1 Like

Thanks everyone for the great work - I really :heart: YunoHost

1 Like

11.2.2 is the latest version … what is the cron saying exactly …

1 Like

please, forget about it, I’m knackered (I’ve just deleted my stupid post)

1 Like

Bonsoir,
Depuis quelques mois, j’ai testé et installé Yunohost, et, j’en suis très satisfait
(mes dernières install de serveurs “made simple” étaient e-smith et SME Server… il y a longtemps)
Mise à jour passée sans soucis, au demeurant.
Merci pour le formidable travail!

Une (ou deux) petite(s) (ou pas) requête(s) :
Serait il possible d’ajouter lors de la création d’un compte User un champ “Mail secours” ?
Pourquoi ? :slight_smile:
Parce que ma seconde requête est en rapport avec la réécriture du portail :
Un bouton “Mot de passe oublié”
Actuellement j’ai mis un subdomain n’apparaissant pas dans la liste et prévu un formulaire accessible aux Visiteurs, mais ça manque cruellement de sécurité.
Bon, je m’étale… alors : Merci encore!!!

C’est une demande récurrente, ça va finir par arriver avant l’an 2067 mais ça demande pas mal de travail de refactoring de différent morceaux du projet, donc ça va prendre un certain temps

2 Likes

Cron root@xour : YunoHost DynDNS update; sleep $((RANDOM%60)); ! ping -q -W5 -c1 ip.yunohost.org >/dev/null 2>&1 || test -e /var/run/moulinette_yunohost.lock || yunohost dyndns update >> /dev/null

No domain registered with DynDNS

i receive it every 10 min since the upgrade -
is there any new package coming soon to correct that? thanks for your support
pascal

1 Like

No, this is probably a bug on your side … If you confirm that you have no DynDNS-domain on your server (ie nohost.me / noho.st / ynh.fr), then maybe let’s try deleting some old keys which for some mysterious reason did not get deleted, with rm /etc/yunohost/dyndns/*.key

Thanks, it helped !

1 Like

thanks a lot - i removed an old key and it fixed it

1 Like

J’ai tenté l’UPGRADE mais c’est un échec que ce soit par la webadmin qu’en ssh

Il y a un problème avec les signatures du paquet crystal.

myname@myhost:~$ sudo yunohost tools update system
Info: Fetching available upgrades for system packages…
Warning: W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: /repositories/devel:/languages:/crystal/Debian_Unstable - openSUSE Download InRelease: The following signatures were invalid: EXPKEYSIG E456AE72856D1476 devel:languages:crystal OBS Project devel:languages:crystal@build.opensuse.org
Warning: W: Failed to fetch http://download.opensuse.org/repositories/devel:languages:crystal/Debian_Unstable/InRelease The following signatures were invalid: EXPKEYSIG E456AE72856D1476 devel:languages:crystal OBS Project devel:languages:crystal@build.opensuse.org
Warning: W: Some index files failed to download. They have been ignored, or old ones used instead.
Error: Something went wrong while updating the cache of APT (Debian’s package manager). Here is a dump of the sources.list lines, which might help identify problematic lines:
sources.list:deb Index of /debian bullseye main
sources.list:deb-src Index of /debian bullseye main
sources.list:deb Index of /debian-security bullseye-security main
sources.list:deb-src Index of /debian-security bullseye-security main
sources.list:deb Index of /debian bullseye-updates main
sources.list:deb-src Index of /debian bullseye-updates main
sources.list.d/extra_php_version.list:deb Index of /php/ bullseye main
sources.list.d/yunohost.list:deb Index of /debian/ bullseye stable
sources.list.d/crystal.list:deb /repositories/devel:/languages:/crystal/Debian_Unstable - openSUSE Download /

Mise à jour faite ce matin : tout va bien ! Beau boulot, les gens, continuez comme ça :kissing_cat:

1 Like

Crystal’s repository, maybe installed because of an app such as invidious, is fucking stuff up. You can probably safely remove the file /etc/apt/sources.list.d/crystal.list

Merci beaucoup pour l’avis, ça marche maintenant.

It was a requirement from invidious installation, which was updated quite often and failed for the first time.

I have the same issue after the update. Tried " rm /etc/yunohost/dyndns/*.key" and it didn’t work.
“ls /etc/yunohost/dyndns/” shows empty folder.